import challengeLockedIcon from 'assets/icons/visu/challenge/challengeLocked.svg'
import StyledIcon from 'components/CommonKit/Icon/StyledIcon'
import { useI18n } from 'cozy-ui/transpiled/react/I18n'
import { UserChallenge } from 'models'
import React from 'react'
import { getChallengeTitleWithLineReturn } from 'utils/utils'
import './challengeCardLocked.scss'

interface ChallengeCardLockedProps {
  userChallenge: UserChallenge
}
const ChallengeCardLocked: React.FC<ChallengeCardLockedProps> = ({
  userChallenge,
}: ChallengeCardLockedProps) => {
  const { t } = useI18n()

  return (
    <div className="cardContent cardLocked">
      <span className="challengeTitle">
        {getChallengeTitleWithLineReturn(userChallenge.id)}
      </span>
      <StyledIcon className="challengeIcon" icon={challengeLockedIcon} />
      <p className="toUnlock text-16-normal-150">
        {t('challenge.card.locked.desc')}
      </p>
    </div>
  )
}

export default ChallengeCardLocked
