import CardActionArea, {
  CardActionAreaProps,
} from '@material-ui/core/CardActionArea'
import CardContent from '@material-ui/core/CardContent'
import { withStyles } from '@material-ui/core/styles'
import React from 'react'

const CardBase = withStyles({
  root: {
    border: '1px solid var(--softGrey)',
    boxSizing: 'border-box',
    borderRadius: '4px',
    width: '100hv',
    margin: '1.25rem 0',
    cursor: 'default',
  },
})(CardActionArea) as React.FC<StyledBorderCardProps>

type StyledBorderCardProps = CardActionAreaProps

const StyledBorderCard = ({ ...props }: StyledBorderCardProps) => {
  return (
    <CardBase {...props}>
      <CardContent>{props.children}</CardContent>
    </CardBase>
  )
}

export default StyledBorderCard
