import { mount } from 'enzyme'
import React from 'react'
import { Provider } from 'react-redux'
import configureStore from 'redux-mock-store'
import { mockInitialEcolyoState } from '../../../tests/__mocks__/store'
import NoDataModal from './NoDataModal'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

const mockStore = configureStore([])
const mockHandleClose = jest.fn()
describe('NoDataModal component', () => {
  it('should render correctly', () => {
    const store = mockStore({
      ecolyo: mockInitialEcolyoState,
    })
    const wrapper = mount(
      <Provider store={store}>
        <NoDataModal open={true} handleCloseClick={mockHandleClose} />
      </Provider>
    )
    expect(wrapper).toMatchSnapshot()
  })
})
