import { mount } from 'enzyme'
import React from 'react'
import { act } from 'react-dom/test-utils'
import LastDuelModal from './lastDuelModal'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

describe('lastDuelModal component', () => {
  it('should render correctly', async () => {
    const wrapper = mount(
      <LastDuelModal open={true} handleCloseClick={jest.fn()} />
    )
    await act(async () => {
      await new Promise(resolve => setTimeout(resolve))
      wrapper.update()
    })
    expect(wrapper).toMatchSnapshot()
  })
})
