import { Button } from '@material-ui/core'
import { mount } from 'enzyme'
import toJson from 'enzyme-to-json'
import React from 'react'
import EcogestureLaunchFormModal from './EcogestureLaunchFormModal'

jest.mock('cozy-ui/transpiled/react/I18n', () => {
  return {
    useI18n: jest.fn(() => {
      return {
        t: (str: string) => str,
      }
    }),
  }
})

const mockHandleClose = jest.fn()
describe('EcogestureLaunchFormModal component', () => {
  it('should be rendered correctly', () => {
    const wrapper = mount(
      <EcogestureLaunchFormModal
        open={true}
        handleCloseClick={mockHandleClose}
      />
    )
    expect(toJson(wrapper)).toMatchSnapshot()
  })
  it('should close modal', async () => {
    const wrapper = mount(
      <EcogestureLaunchFormModal
        open={true}
        handleCloseClick={mockHandleClose}
      />
    )
    wrapper.find(Button).first().simulate('click')
    expect(mockHandleClose).toHaveBeenCalledTimes(1)
  })
})
