import { EquipmentType, Room, Season, Usage } from 'enum/ecogesture.enum'
import { FluidType } from 'enum/fluid.enum'

export interface Ecogesture {
  id: string
  shortName: string
  longName: string
  longDescription: string
  usage: Usage
  fluidTypes: FluidType[]
  impactLevel: number
  efficiency: number
  difficulty: number
  room: Room[]
  season: Season
  equipment: boolean
  equipmentType: EquipmentType[]
  equipmentInstallation: boolean
  investment: string | null
  action: boolean
  actionName: string | null
  actionDuration: number
  objective: boolean
  doing: boolean
  viewedInSelection: boolean
  _id: string
  _rev?: string
  _type?: string
}
