import { mockInitialAnalysisState } from '../../../tests/__mocks__/store'
import { analysisSlice, setPeriod } from './analysis.slice'

describe('analysis reducer', () => {
  it('should return the initial state', () => {
    const initialState = analysisSlice.reducer(undefined, {
      type: undefined,
    })
    expect(initialState).toEqual(mockInitialAnalysisState)
  })

  describe('setPeriod', () => {
    it('should handle setPeriod with payload', () => {
      const state = analysisSlice.reducer(
        mockInitialAnalysisState,
        setPeriod('year')
      )
      expect(state).toEqual({
        ...mockInitialAnalysisState,
        period: 'year',
      })
    })
  })
})
