import { PayloadAction, createSlice } from '@reduxjs/toolkit'
import { AnalysisState } from 'models'

const initialState: AnalysisState = {
  period: 'month',
}

type SetPeriodAction = PayloadAction<'month' | 'year'>
export type AnalysisActionTypes = SetPeriodAction

export const analysisSlice = createSlice({
  name: 'analysis',
  initialState,
  reducers: {
    setPeriod: (state, action: SetPeriodAction) => {
      state.period = action.payload
    },
  },
})

export const { setPeriod } = analysisSlice.actions
