/* eslint-disable camelcase */
import { FluidState } from 'enum/fluid.enum'
import { FluidSlugType } from 'enum/fluidSlug.enum'
import { DateTime } from 'luxon'
import { FluidStatus } from 'models'
import { PartnersInfo } from 'models/partnersInfo.model'

export const fluidStatusData: FluidStatus[] = [
  {
    fluidType: 0,
    status: FluidState.KONNECTOR_NOT_FOUND,
    maintenance: false,
    firstDataDate: DateTime.fromISO('2019-09-01T00:00:00.000Z', {
      zone: 'utc',
    }),
    lastDataDate: DateTime.fromISO('2020-09-01T00:00:00.000Z', {
      zone: 'utc',
    }),
    connection: {
      shouldLaunchKonnector: false,
      isUpdating: false,
      konnector: null,
      account: null,
      trigger: null,
      triggerState: null,
      konnectorConfig: {
        name: '',
        oauth: false,
        slug: FluidSlugType.ELECTRICITY,
        siteLink: '',
        activation: '',
      },
    },
  },
  {
    fluidType: 1,
    status: FluidState.KONNECTOR_NOT_FOUND,
    maintenance: false,
    firstDataDate: DateTime.fromISO('2019-09-01T00:00:00.000Z', {
      zone: 'utc',
    }),
    lastDataDate: DateTime.fromISO('2020-09-01T00:00:00.000Z', {
      zone: 'utc',
    }),
    connection: {
      shouldLaunchKonnector: false,
      isUpdating: false,
      konnector: null,
      account: null,
      trigger: null,
      triggerState: null,
      konnectorConfig: {
        name: '',
        oauth: false,
        slug: FluidSlugType.WATER,
        siteLink: '',
        activation: '',
      },
    },
  },
  {
    fluidType: 2,
    status: FluidState.KONNECTOR_NOT_FOUND,
    maintenance: false,
    firstDataDate: DateTime.fromISO('2019-09-01T00:00:00.000Z', {
      zone: 'utc',
    }),
    lastDataDate: DateTime.fromISO('2020-09-01T00:00:00.000Z', {
      zone: 'utc',
    }),
    connection: {
      shouldLaunchKonnector: false,
      isUpdating: false,
      konnector: null,
      account: null,
      trigger: null,
      triggerState: null,
      konnectorConfig: {
        name: '',
        oauth: false,
        slug: FluidSlugType.GAS,
        siteLink: '',
        activation: '',
      },
    },
  },
]
export const mockPartnersInfoActivated: PartnersInfo = {
  grdf_failure: true,
  enedis_failure: true,
  egl_failure: true,
  notification_activated: true,
}
export const mockPartnersInfoDisabled: PartnersInfo = {
  grdf_failure: false,
  enedis_failure: false,
  egl_failure: false,
  notification_activated: false,
}

export const fluidStatusConnectedData: FluidStatus[] = [
  {
    fluidType: 0,
    status: FluidState.DONE,
    maintenance: false,
    firstDataDate: DateTime.fromISO('2019-09-01T00:00:00.000Z', {
      zone: 'utc',
    }),
    lastDataDate: DateTime.fromISO('2020-09-01T00:00:00.000Z', {
      zone: 'utc',
    }),
    connection: {
      shouldLaunchKonnector: false,
      isUpdating: false,
      konnector: null,
      account: {
        _id: 'test',
        account_type: 'test',
        auth: {
          pointId: 'testid',
          address: 'address',
          firstname: 'Jane',
          lastname: 'Doe',
          postalCode: '69200',
          city: 'Lyon',
        },
      },
      trigger: null,
      triggerState: null,
      konnectorConfig: {
        name: '',
        oauth: false,
        slug: FluidSlugType.ELECTRICITY,
        siteLink: '',
        activation: '',
      },
    },
  },
  {
    fluidType: 1,
    status: FluidState.DONE,
    maintenance: false,
    firstDataDate: DateTime.fromISO('2019-09-01T00:00:00.000Z', {
      zone: 'utc',
    }),
    lastDataDate: DateTime.fromISO('2020-09-01T00:00:00.000Z', {
      zone: 'utc',
    }),
    connection: {
      shouldLaunchKonnector: false,
      isUpdating: false,
      konnector: null,
      account: null,
      trigger: null,
      triggerState: null,
      konnectorConfig: {
        name: '',
        oauth: false,
        slug: FluidSlugType.WATER,
        siteLink: '',
        activation: '',
      },
    },
  },
  {
    fluidType: 2,
    status: FluidState.DONE,
    maintenance: false,
    firstDataDate: DateTime.fromISO('2019-09-01T00:00:00.000Z', {
      zone: 'utc',
    }),
    lastDataDate: DateTime.fromISO('2020-09-01T00:00:00.000Z', {
      zone: 'utc',
    }),
    connection: {
      shouldLaunchKonnector: false,
      isUpdating: false,
      konnector: null,
      account: null,
      trigger: null,
      triggerState: null,
      konnectorConfig: {
        name: '',
        oauth: true,
        slug: FluidSlugType.GAS,
        siteLink: '',
        activation: '',
      },
    },
  },
]
export const SgeStatusWithAccount: FluidStatus = {
  fluidType: 0,
  status: FluidState.KONNECTOR_NOT_FOUND,
  maintenance: false,
  firstDataDate: DateTime.fromISO('2019-09-01T00:00:00.000Z', {
    zone: 'utc',
  }),
  lastDataDate: DateTime.fromISO('2020-09-01T00:00:00.000Z', {
    zone: 'utc',
  }),
  connection: {
    shouldLaunchKonnector: false,
    isUpdating: false,
    konnector: null,
    account: {
      _id: '88e68b8450cee09fe2f077610901094d',
      _rev: '1-88e68b8450cee09fe2f077610901094d',
      account_type: 'enedissgegrandlyon',
      name: '',
      oauth: {
        access_token: 'MY_ACCESS_TOKEN',
        expires_at: '2020-10-09T08:00:00.285910671+02:00',
        refresh_token: '',
        token_type: 'Bearer',
      },
      oauth_callback_results: {
        issued_at: '1592232569642',
        refresh_token_issued_at: '1592232569642',
        scope: '/my_enedis_scope',
        usage_points_id: '',
      },
      cozyMetadata: {
        createdAt: '2020-11-10T16:42:11.132Z',
        metadataVersion: 1,
        updatedAt: '2020-11-10T16:42:11.132Z',
      },
    },
    trigger: null,
    triggerState: null,
    konnectorConfig: {
      name: '',
      oauth: false,
      slug: FluidSlugType.ELECTRICITY,
      siteLink: '',
      activation: '',
    },
  },
}
